#ifndef _RAY_H
#define _RAY_H

#include "vector.h"

//- Ray
class Ray {
//. Ray Class.
public:
    //- Ray    
    Ray(const Vector& origin = Vector(0,0,0),
        const Vector& direction = Vector(0,0,1),
		double lightspeed = 1.0);    
            
    const Vector& getOrigin() const;
    void setOrigin(const Vector& o);
    const Vector& getDirection() const;
    void setDirection(const Vector& n);    
	double getLightspeed() const;
	void setLightspeed(double lightspeed);

private:
    Vector origin_;
    Vector direction_; 
	double lightspeed_;
};

#endif // _Ray_H
